from pyscreeps_arena.compiler import Compiler, config

# Author:
# github: EagleBaby
# QQ: eashinergion
# bilibili: 我阅读理解一直可以的
# ----------------------------------

config.language = 'cn'  # 'en' or 'cn'
config.season = 'beta'  # 'alpha', 'beta', (i think 'gamma' is the next)
config.arena = 'blue'   # 'green', 'blue', 'red', 'gray'
# config.target = r"C:\Users\22290\ScreepsArena\beta-spawn_and_swamp\main.mjs"

# 在非教学模式，程序可以根据season和arena推测默认的main.mjs文件的位置。因此target可以不填。
# 如果填写了target，那么season和arena现阶段没有作用
# In non-tutorial mode, the program can infer the location of the default main.mjs file based on season and arena. Therefore, target can be left unfilled.
# If target is filled in, then season and arena do not have an effect at this stage.


if __name__ == '__main__':
    compiler = Compiler('src', 'build')
    compiler.compile()
    compiler.clean()
